;****** Servo Tester 2
;       Battery include file
;       Low battery watchdog
;
;       Copyright (c) 2004, Mikael Ejberg Pedersen
;       Only for non-profit use. See a more detailed license
;       description in the user manual or at the Servo Tester 2
;       homepage: http://www.ejberg.dk/servotst2


.dseg
BatteryLowLimit:        .byte 2
BatteryIsLow:           .byte 1

.cseg

Battery_Init:
        clr     w1
        sts     BatteryIsLow,w1
        ret


Battery_UpdateVoltage_All:
        lds     XL,AnalogVoltage
        lds     XH,AnalogVoltage+1
        lds     YL,AnalogVoltageCalib
        lds     YH,AnalogVoltageCalib+1
        call    mul16x16_32_w           ;Value * calibration
        lds     XL,BatteryLowLimit
        lds     XH,BatteryLowLimit+1
        clr     w1
        cp      w3,XL
        cpc     w4,XH
        brsh    BUV_NotLow
        ldi     w1,1
BUV_NotLow:
        sts     BatteryIsLow,w1
        ret


Battery_Low_w1:
        lds     w1,BatteryIsLow
        andi    w1,1
        cpi     w1,1
        ret
