;****** Servo Tester 2
;       Output1 include file
;       Output 1 menu
;
;       Copyright (c) 2004, Mikael Ejberg Pedersen
;       Only for non-profit use. See a more detailed license
;       description in the user manual or at the Servo Tester 2
;       homepage: http://www.ejberg.dk/servotst2


.dseg
Output1Value:           .byte 2


.cseg

Output1_ServiceTable:
        jmp    Output1_Init
        jmp    Output1_DisplayMenu
        jmp    Output1_TakeControl
        jmp    PWIO_Left
        jmp    PWIO_Right
        jmp    PWIO_Push
        jmp    PWIO_UpdateDisplay
        jmp    PWIO_ICP
        jmp    PWIO_TimerTick
        jmp    PWIO_ADComplete
        jmp    PWIO_UpdateCursor
        jmp    PWIO_OutputSent
        jmp    PWIO_TachoUpdate
        jmp    PWIO_Hold


Output1_Init:
        ret


Output1_InitPtrs:
        ldi     ZL,low(Output1Value)
        ldi     ZH,high(Output1Value)
        sts     PWIOAddress,ZL
        sts     PWIOAddress+1,ZH
        sts     PWIOBarAddressLow,ZL
        sts     PWIOBarAddressLow+1,ZH
        sts     PWIOBarAddressHigh,ZL
        sts     PWIOBarAddressHigh+1,ZH
        ldi     ZL,low(2*Output1_Line1)
        ldi     ZH,high(2*Output1_Line1)
        sts     PWIOText1Ptr,ZL
        sts     PWIOText1Ptr+1,ZH
        ldi     w1,Router_Output1
        sts     PWIORouterAdr,w1
        call    PWIO_SetupPWConfigLimit_X
        clr     c2
        ldi     c3,(1<<PWIOC3EditPW)+(1<<PWIOC3DisplayAB)+(1<<PWIOC3AllowBarMode)
        ret


Output1_DisplayMenu:
        rcall   Output1_InitPtrs
        call    PWIO_BaseDisplay
        ret


Output1_TakeControl:
        rcall   Output1_InitPtrs
        call    PWIO_TakeControl
        ret


Output1_Line1:  .db "  Output 1    AB",0,0

