;****** Servo Tester 2
;       Output2 include file
;       Output 2 menu
;
;       Copyright (c) 2004, Mikael Ejberg Pedersen
;       Only for non-profit use. See a more detailed license
;       description in the user manual or at the Servo Tester 2
;       homepage: http://www.ejberg.dk/servotst2


.dseg
Output2Value:           .byte 2


.cseg

Output2_ServiceTable:
        jmp     Output2_Init
        jmp     Output2_DisplayMenu
        jmp     Output2_TakeControl
        jmp     PWIO_Left
        jmp     PWIO_Right
        jmp     PWIO_Push
        jmp     PWIO_UpdateDisplay
        jmp     PWIO_ICP
        jmp     PWIO_TimerTick
        jmp     PWIO_ADComplete
        jmp     PWIO_UpdateCursor
        jmp     PWIO_OutputSent
        jmp     PWIO_TachoUpdate
        jmp     PWIO_Hold


Output2_Init:
        ret


Output2_InitPtrs:
        ldi     ZL,low(Output2Value)
        ldi     ZH,high(Output2Value)
        sts     PWIOAddress,ZL
        sts     PWIOAddress+1,ZH
        sts     PWIOBarAddressLow,ZL
        sts     PWIOBarAddressLow+1,ZH
        sts     PWIOBarAddressHigh,ZL
        sts     PWIOBarAddressHigh+1,ZH
        ldi     ZL,low(2*Output2_Line1)
        ldi     ZH,high(2*Output2_Line1)
        sts     PWIOText1Ptr,ZL
        sts     PWIOText1Ptr+1,ZH
        ldi     w1,Router_Output2
        sts     PWIORouterAdr,w1
        call    PWIO_SetupPWConfigLimit_X
        clr     c2
        ldi     c3,(1<<PWIOC3EditPW)+(1<<PWIOC3DisplayAB)+(1<<PWIOC3AllowBarMode)
        ret


Output2_DisplayMenu:
        rcall   Output2_InitPtrs
        call    PWIO_BaseDisplay
        ret


Output2_TakeControl:
        rcall   Output2_InitPtrs
        call    PWIO_TakeControl
        ret


Output2_Line1:  .db "  Output 2    AB",0,0

